Loading...
Searching...
No Matches
gr::fxpt_nco Class Reference
Miscellaneous

Numerically Controlled Oscillator (NCO). More...

`#include <gnuradio/fxpt_nco.h>`

## Public Member Functions

| fxpt_nco ()
| ~fxpt_nco ()
void | set_phase (float angle)
void | adjust_phase (float delta_phase)
void | set_freq (float angle_rate)
void | adjust_freq (float delta_angle_rate)
void | step ()
void | step (int n)
float | get_phase () const
float | get_freq () const
void | sincos (float *sinx, float *cosx) const
void | sincos (gr_complex *output, int noutput_items, double ampl=1.0)
void | sin (float *output, int noutput_items, double ampl=1.0)
void | cos (float *output, int noutput_items, double ampl=1.0)
void | sin (std::int8_t *output, int noutput_items, double ampl=1.0)
void | cos (std::int8_t *output, int noutput_items, double ampl=1.0)
void | sin (short *output, int noutput_items, double ampl=1.0)
void | cos (short *output, int noutput_items, double ampl=1.0)
void | sin (int *output, int noutput_items, double ampl=1.0)
void | cos (int *output, int noutput_items, double ampl=1.0)
float | cos () const
float | sin () const

## Detailed Description

Numerically Controlled Oscillator (NCO).

## Constructor & Destructor Documentation

## fxpt_nco()

gr::fxpt_nco::fxpt_nco | ( |  | ) |

inline

## ~fxpt_nco()

gr::fxpt_nco::~fxpt_nco | ( |  | ) |

inline

## Member Function Documentation

## adjust_freq()

void gr::fxpt_nco::adjust_freq | ( | float | delta_angle_rate | ) |

inline

References gr::fxpt::float_to_fixed().

## adjust_phase()

void gr::fxpt_nco::adjust_phase | ( | float | delta_phase | ) |

inline

References gr::fxpt::float_to_fixed().

## cos() [1/5]

float gr::fxpt_nco::cos | ( |  | ) | const

inline

References gr::fxpt::cos().

## cos() [2/5]

void gr::fxpt_nco::cos | ( | float * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::cos(), and step().

## cos() [3/5]

void gr::fxpt_nco::cos | ( | int * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::cos(), and step().

## cos() [4/5]

void gr::fxpt_nco::cos | ( | short * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::cos(), and step().

## cos() [5/5]

void gr::fxpt_nco::cos | ( | std::int8_t * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::cos(), and step().

## get_freq()

float gr::fxpt_nco::get_freq | ( |  | ) | const

inline

References gr::fxpt::fixed_to_float().

## get_phase()

float gr::fxpt_nco::get_phase | ( |  | ) | const

inline

References gr::fxpt::fixed_to_float().

## set_freq()

void gr::fxpt_nco::set_freq | ( | float | angle_rate | ) |

inline

References gr::fxpt::float_to_fixed().

## set_phase()

void gr::fxpt_nco::set_phase | ( | float | angle | ) |

inline

References gr::fxpt::float_to_fixed().

## sin() [1/5]

float gr::fxpt_nco::sin | ( |  | ) | const

inline

References gr::fxpt::sin().

## sin() [2/5]

void gr::fxpt_nco::sin | ( | float * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::sin(), and step().

## sin() [3/5]

void gr::fxpt_nco::sin | ( | int * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::sin(), and step().

## sin() [4/5]

void gr::fxpt_nco::sin | ( | short * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::sin(), and step().

## sin() [5/5]

void gr::fxpt_nco::sin | ( | std::int8_t * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::sin(), and step().

## sincos() [1/2]

void gr::fxpt_nco::sincos | ( | float * | sinx,
|  | float * | cosx ) const

inline

References gr::fxpt::cos(), and gr::fxpt::sin().

## sincos() [2/2]

void gr::fxpt_nco::sincos | ( | gr_complex * | output,
|  | int | noutput_items,
|  | double | ampl = 1.0 )

inline

References gr::fxpt::cos(), gr::fxpt::sin(), and step().

## step() [1/2]

void gr::fxpt_nco::step | ( |  | ) |

inline

Referenced by cos(), cos(), cos(), cos(), sin(), sin(), sin(), sin(), and sincos().

## step() [2/2]

void gr::fxpt_nco::step | ( | int | n | ) |

inline

The documentation for this class was generated from the following file:

- fxpt_nco.h